<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processor/Error.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processor.Error</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../Processor.html" >Processor</a>
</div><div class="class-name">class Error

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Processor.py.html" target="detail">../Synopsis/Processor.py</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Error" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line10" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Error-inheritance" src="Error-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Error-inheritance_map" />
<map name="Error-inheritance_map"><area alt="Scopes/Synopsis/Processor/InvalidArgument.html" href="InvalidArgument.html" shape="rect" coords="5, 81, 232, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/Source/Source.html" href="../Formatters/HTML/Views/Source/Source.html" shape="rect" coords="256, 81, 557, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple/ClassHierarchySimple.html" href="../Formatters/HTML/Fragments/ClassHierarchySimple/ClassHierarchySimple.html" shape="rect" coords="581, 81, 1075, 105" />
<area alt="Scopes/Synopsis/Processor/MissingArgument.html" href="MissingArgument.html" shape="rect" coords="1099, 81, 1328, 105" />
<area alt="Scopes/Synopsis/ASG/Dictionary.html" href="../ASG/Dictionary.html" shape="rect" coords="1352, 81, 1512, 105" />
<area alt="Scopes/Synopsis/Processor/InternalError.html" href="InternalError.html" shape="rect" coords="1536, 81, 1741, 105" />
<area alt="Scopes/Synopsis/Processor/InvalidCommand.html" href="InvalidCommand.html" shape="rect" coords="1765, 81, 1992, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/View/View.html" href="../Formatters/HTML/View/View.html" shape="rect" coords="2016, 81, 2256, 105" />
</map>
 <div class="doc">An exception a processor may raise during processing.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="what">what</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line15" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">what</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Error.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line13" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__str__">__str__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Error.__str__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line17" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:55 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
